Bug 70005 - accountsservice reports SSSD users as having a password mode of NONE
Summary: accountsservice reports SSSD users as having a password mode of NONE
Status: RESOLVED FIXED
Alias: None
Product: accountsservice
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-01 15:01 UTC by Ray Strode [halfline]
Modified: 2013-10-08 14:57 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
user: treat NULL shadow entry as "password handled remotely" (2.79 KB, patch)
2013-10-01 15:04 UTC, Ray Strode [halfline]
Details | Splinter Review

Description Ray Strode [halfline] 2013-10-01 15:01:03 UTC
see https://bugzilla.gnome.org/show_bug.cgi?id=708997
Comment 1 Ray Strode [halfline] 2013-10-01 15:04:41 UTC
Created attachment 86910 [details] [review]
user: treat NULL shadow entry as "password handled remotely"

    Right now we set the password mode of a user based on the password
    hash in shadow.  SSSD (and other remote login facilities
    presumably) don't send the password hash over the wire to the client,
    but of course those users do have a password set.
    
    This commit changes the code to notice when there's no shadow entry
    for a user and treat that case conservatively (assume user has a password).
    
    Related to
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708997
Comment 2 Stef Walter 2013-10-03 08:03:00 UTC
Comment on attachment 86910 [details] [review]
user: treat NULL shadow entry as "password handled remotely"

Review of attachment 86910 [details] [review]:
-----------------------------------------------------------------

Looks good to me.
Comment 3 Ray Strode [halfline] 2013-10-08 14:57:18 UTC
thanks, pushed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.